
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "top_grossing_movies/version"

Gem::Specification.new do |spec|
  spec.name          = "top_grossing_movies"
  spec.version       = TopGrossingMovies::VERSION
  spec.authors       = ["'Dakota Martinez'"]
  spec.email         = ["'dakotaleemusic@gmail.com'"]

  spec.summary       = %q{CLI for displaying info about the top grossing movies of all time (as of 2018)}
  spec.description   = %q{Scrapes a newsday website: https://www.newsday.com/entertainment/movies/the-biggest-box-office-hits-of-all-time-1.5369007 and provides a CLI for viewing the top 25 top grossing movies of all time and details about each.}
  spec.homepage      = "https://github.com/DakotaLMartinez/top_grossing_movies"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = ["top_grossing_movies"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "gem-release"
  spec.add_dependency "nokogiri"
end
